io.vertx.core.http

## Class CaseInsensitiveHeaders

- java.lang.Object
- - io.vertx.core.http.CaseInsensitiveHeaders

- All Implemented Interfaces:
    MultiMap, Iterable<Map.Entry<String,String>>

      public final class CaseInsensitiveHeaders
      extends Object
      implements MultiMap

  This multi-map implementation has case insensitive keys, and can be used to hold some HTTP headers prior to making an HTTP request.
  Author:
    Norman Maurer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaseInsensitiveHeaders()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiMap` | `add(CharSequence name, CharSequence value)` Like `MultiMap.add(String, String)` but accepting `CharSequence` as parameters
    `MultiMap` | `add(CharSequence name, Iterable<CharSequence> values)` Like `MultiMap.add(String, Iterable)` but accepting `CharSequence` as parameters
    `MultiMap` | `add(String name, Iterable<String> values)` Adds a new values under the specified name
    `MultiMap` | `add(String name, String strVal)` Adds a new value with the specified name and value.
    `MultiMap` | `addAll(Map<String,String> map)` Adds all the entries from a Map to this
    `MultiMap` | `addAll(MultiMap headers)` Adds all the entries from another MultiMap to this one
    `MultiMap` | `clear()` Removes all
    `boolean` | `contains(CharSequence name)` Like `MultiMap.contains(String)` but accepting a `CharSequence` as a parameter
    `boolean` | `contains(String name)` Checks to see if there is a value with the specified name
    `List<Map.Entry<String,String>>` | `entries()` Returns all entries in the multi-map.
    `void` | `forEach(java.util.function.Consumer<? super Map.Entry<String,String>> action)`
    `String` | `get(CharSequence name)`
    `String` | `get(String name)` Returns the value of with the specified name.
    `List<String>` | `getAll(CharSequence name)` Like `MultiMap.getAll(String)` but accepting a `CharSequence` as a parameter
    `List<String>` | `getAll(String name)` Returns the values with the specified name
    `boolean` | `isEmpty()` Return true if empty
    `Iterator<Map.Entry<String,String>>` | `iterator()`
    `Set<String>` | `names()` Gets a immutable `Set` of all names
    `MultiMap` | `remove(CharSequence name)` Like `MultiMap.remove(String)` but accepting `CharSequence` as parameters
    `MultiMap` | `remove(String name)` Removes the value with the given name
    `MultiMap` | `set(CharSequence name, CharSequence value)` Like `MultiMap.set(String, String)` but accepting `CharSequence` as parameters
    `MultiMap` | `set(CharSequence name, Iterable<CharSequence> values)` Like `MultiMap.set(String, Iterable)` but accepting `CharSequence` as parameters
    `MultiMap` | `set(String name, Iterable<String> values)` Sets values for the specified name.
    `MultiMap` | `set(String name, String strVal)` Sets a value under the specified name.
    `MultiMap` | `setAll(Map<String,String> headers)` Cleans and set all values of the given instance
    `MultiMap` | `setAll(MultiMap headers)` Cleans this instance.
    `int` | `size()` Return the number of keys.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.core.MultiMap

      `caseInsensitiveMultiMap, contains, contains`

    - ### Methods inherited from interface java.lang.Iterable

      `spliterator`

- - ### Constructor Detail

    - #### CaseInsensitiveHeaders

          public CaseInsensitiveHeaders()

  - ### Method Detail

    - #### setAll

          public MultiMap setAll(MultiMap headers)

      Description copied from interface: `MultiMap`
      Cleans this instance.
      Specified by:
        `setAll` in interface `MultiMap`
      Returns:
        a reference to this, so the API can be used fluently

    - #### setAll

          public MultiMap setAll(Map<String,String> headers)

      Description copied from interface: `MultiMap`
      Cleans and set all values of the given instance
      Specified by:
        `setAll` in interface `MultiMap`
      Returns:
        a reference to this, so the API can be used fluently

    - #### size

          public int size()

      Description copied from interface: `MultiMap`
      Return the number of keys.
      Specified by:
        `size` in interface `MultiMap`

    - #### add

          public MultiMap add(String name,
                              String strVal)

      Description copied from interface: `MultiMap`
      Adds a new value with the specified name and value.
      Specified by:
        `add` in interface `MultiMap`
      Parameters:
        `name` - The name
        `strVal` - The value being added
      Returns:
        a reference to this, so the API can be used fluently

    - #### add

          public MultiMap add(String name,
                              Iterable<String> values)

      Description copied from interface: `MultiMap`
      Adds a new values under the specified name
      Specified by:
        `add` in interface `MultiMap`
      Parameters:
        `name` - The name being set
        `values` - The values
      Returns:
        a reference to this, so the API can be used fluently

    - #### addAll

          public MultiMap addAll(MultiMap headers)

      Description copied from interface: `MultiMap`
      Adds all the entries from another MultiMap to this one
      Specified by:
        `addAll` in interface `MultiMap`
      Returns:
        a reference to this, so the API can be used fluently

    - #### addAll

          public MultiMap addAll(Map<String,String> map)

      Description copied from interface: `MultiMap`
      Adds all the entries from a Map to this
      Specified by:
        `addAll` in interface `MultiMap`
      Returns:
        a reference to this, so the API can be used fluently

    - #### remove

          public MultiMap remove(String name)

      Description copied from interface: `MultiMap`
      Removes the value with the given name
      Specified by:
        `remove` in interface `MultiMap`
      Parameters:
        `name` - The name of the value to remove
      Returns:
        a reference to this, so the API can be used fluently

    - #### set

          public MultiMap set(String name,
                              String strVal)

      Description copied from interface: `MultiMap`
      Sets a value under the specified name.

      If there is an existing header with the same name, it is removed.

      Specified by:
        `set` in interface `MultiMap`
      Parameters:
        `name` - The name
        `strVal` - The value
      Returns:
        a reference to this, so the API can be used fluently

    - #### set

          public MultiMap set(String name,
                              Iterable<String> values)

      Description copied from interface: `MultiMap`
      Sets values for the specified name.
      Specified by:
        `set` in interface `MultiMap`
      Parameters:
        `name` - The name of the headers being set
        `values` - The values of the headers being set
      Returns:
        a reference to this, so the API can be used fluently

    - #### clear

          public MultiMap clear()

      Description copied from interface: `MultiMap`
      Removes all
      Specified by:
        `clear` in interface `MultiMap`
      Returns:
        a reference to this, so the API can be used fluently

    - #### get

          public String get(String name)

      Description copied from interface: `MultiMap`
      Returns the value of with the specified name. If there are more than one values for the specified name, the first value is returned.
      Specified by:
        `get` in interface `MultiMap`
      Parameters:
        `name` - The name of the header to search
      Returns:
        The first header value or `null` if there is no such entry

    - #### getAll

          public List<String> getAll(String name)

      Description copied from interface: `MultiMap`
      Returns the values with the specified name
      Specified by:
        `getAll` in interface `MultiMap`
      Parameters:
        `name` - The name to search
      Returns:
        A immutable `List` of values which will be empty if no values are found

    - #### forEach

          public void forEach(java.util.function.Consumer<? super Map.Entry<String,String>> action)

      Specified by:
        `forEach` in interface `Iterable<Map.Entry<String,String>>`

    - #### entries

          public List<Map.Entry<String,String>> entries()

      Description copied from interface: `MultiMap`
      Returns all entries in the multi-map.
      Specified by:
        `entries` in interface `MultiMap`
      Returns:
        A immutable `List` of the name-value entries, which will be empty if no pairs are found

    - #### iterator

          public Iterator<Map.Entry<String,String>> iterator()

      Specified by:
        `iterator` in interface `Iterable<Map.Entry<String,String>>`

    - #### contains

          public boolean contains(String name)

      Description copied from interface: `MultiMap`
      Checks to see if there is a value with the specified name
      Specified by:
        `contains` in interface `MultiMap`
      Parameters:
        `name` - The name to search for
      Returns:
        true if at least one entry is found

    - #### isEmpty

          public boolean isEmpty()

      Description copied from interface: `MultiMap`
      Return true if empty
      Specified by:
        `isEmpty` in interface `MultiMap`

    - #### names

          public Set<String> names()

      Description copied from interface: `MultiMap`
      Gets a immutable `Set` of all names
      Specified by:
        `names` in interface `MultiMap`
      Returns:
        A `Set` of all names

    - #### get

          public String get(CharSequence name)

      Specified by:
        `get` in interface `MultiMap`

    - #### getAll

          public List<String> getAll(CharSequence name)

      Description copied from interface: `MultiMap`
      Like `MultiMap.getAll(String)` but accepting a `CharSequence` as a parameter
      Specified by:
        `getAll` in interface `MultiMap`

    - #### contains

          public boolean contains(CharSequence name)

      Description copied from interface: `MultiMap`
      Like `MultiMap.contains(String)` but accepting a `CharSequence` as a parameter
      Specified by:
        `contains` in interface `MultiMap`

    - #### add

          public MultiMap add(CharSequence name,
                              CharSequence value)

      Description copied from interface: `MultiMap`
      Like `MultiMap.add(String, String)` but accepting `CharSequence` as parameters
      Specified by:
        `add` in interface `MultiMap`

    - #### add

          public MultiMap add(CharSequence name,
                              Iterable<CharSequence> values)

      Description copied from interface: `MultiMap`
      Like `MultiMap.add(String, Iterable)` but accepting `CharSequence` as parameters
      Specified by:
        `add` in interface `MultiMap`

    - #### set

          public MultiMap set(CharSequence name,
                              CharSequence value)

      Description copied from interface: `MultiMap`
      Like `MultiMap.set(String, String)` but accepting `CharSequence` as parameters
      Specified by:
        `set` in interface `MultiMap`

    - #### set

          public MultiMap set(CharSequence name,
                              Iterable<CharSequence> values)

      Description copied from interface: `MultiMap`
      Like `MultiMap.set(String, Iterable)` but accepting `CharSequence` as parameters
      Specified by:
        `set` in interface `MultiMap`

    - #### remove

          public MultiMap remove(CharSequence name)

      Description copied from interface: `MultiMap`
      Like `MultiMap.remove(String)` but accepting `CharSequence` as parameters
      Specified by:
        `remove` in interface `MultiMap`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018 Eclipse. All rights reserved.